Page MenuHomePhabricator

CSS bugs on Wikipedia with RTL languages (bottom .guider ruleset missing)
Closed, ResolvedPublic

Description

There are some CSS oddities on the live Wikipedias with GuidedTour and RTL languages. It is evident in production mode, not debug.

This is separate from bug 44804. For example, it is evident even when the guider is in the center (which requires no flipping)

It is not present on test machines, so it might be related to something in e.g. Common.css

http://piramido.wmflabs.org/wiki/?tour=test&uselang=ar&debug=false

looks fine.

However:

https://en.wikipedia.org/wiki/?tour=test&uselang=ar&debug=false

https://en.wikipedia.org/wiki/?tour=test&uselang=he&debug=false

https://fr.wikipedia.org/wiki/?tour=test&uselang=ar&debug=false

https://fr.wikipedia.org/wiki/?tour=test&uselang=he&debug=false

are transparent, and the okay button is wrong.

It is not present when there is no flipping, e.g.:

https://fr.wikipedia.org/wiki/?tour=test&uselang=de&debug=false

so there might be some connection to CSSJanus.


Version: unspecified
Severity: normal
See Also:
T40294: jquery.articleFeedbackv5.special styles loaded incorrectly in RTL languages
T37059: Dialog has no style applied and therefore is transparent (jQuery.UI) for RTL languages and monobook

Details

Reference
bz44839

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:16 AM
bzimport set Reference to bz44839.
bzimport added a subscriber: Unknown Object (MLST).

It's discarding all of the CSS from the library proper. Inspect the element with id gt-test-1 on both:

https://en.wikipedia.org/wiki/?tour=test&uselang=ar&debug=false

and

https://en.wikipedia.org/wiki/?tour=test&uselang=de&debug=false

You can see the bottom .guider ruleset is missing for Arabic.

I'm refiling for ResourceLoader/CSSJanus. For reference, you can see how the dependencies are laid out at https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/GuidedTour.git;a=blob;f=GuidedTour.php;h=24bba9617a5196aced68c6ed0854b97a63d37240;hb=refs/heads/master

This seems similar to bug 38294 (although the workarounds there are merged) and bug 35059.

I'm assigning back to core. I think it's it's either a bug in core or the WMF's installation.

GuidedTour is a symptom.

Aklapper renamed this task from CSS bugs on Wikipedia with RTL languages to CSS bugs on Wikipedia with RTL languages (bottom .guider ruleset missing).Mar 17 2015, 10:38 AM
Aklapper lowered the priority of this task from Normal to Low.
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 12:48 AM
Ebraminio moved this task from Backlog to Graphics on the RTL board.Aug 9 2015, 11:54 AM
Meno25 removed a subscriber: Meno25.Feb 8 2016, 7:34 PM
Krinkle closed this task as Resolved.Sep 20 2017, 6:56 PM

This seems to have resolved itself.